Docs
Coverage MatrixDocumentationChange LogLog InContact Us
Docs

Insights & Betting Splits v3 Migration Guide

Sportradar is launching new versions of Insights and Betting Splits (V3) in Marketplace.

Insights v2 & Betting Splits v2 will be deprecated on September 30, 2026.

Account

View your Insights product details in your Sportradar Marketplace account.

Click on a product (e.g. MLB Insights API) to view API key usage, subscription details, and endpoint reporting.


❗️

Existing Insights and Betting Splits v2 API keys will not be valid in Insights v3


Authentication & Limits

  • API Authentication — Your new Marketplace API key is compatible with Insights v3 and Betting Splits v3.
  • Authorization — Your API key authenticates with x-api-key in the request header (replacing Authorization)
  • Rate Limits — Rate limits remain unchanged.

Insights Packages

Insights are now available in four packages. Your new v3 API key is automatically configured to match the package access of your v2 account. Check your Marketplace account for package subscriptions.

Insights by Sportradar

Real-time milestone, leaderboard, scoring, and career and season high insights — designed to drive deeper storytelling and fan engagement.

"Patrick Mahomes is 3 rushing touchdowns away from tying Tony Richardson and Kareem Hunt for 7th on the Chiefs all-time list."

"The Cleveland Guardians just scored and lead 1-0 in the top of the 1st inning."

"Nicolas Hague is 1 point away from tying Tomas Nosek for 20th on the Golden Knights all-time list."

Insights by Fansure

Scenario-relevant player and team betting trends for the NBA, NFL, NHL, and MLB, powered by Fansure. Surface prop-level player insights and team market trends mapped to Sportradar IDs, built to drive engagement and event conversions across any platform.

"Shai Gilgeous-Alexander has exceeded 1.5 three pointers made in 10 of his last 11 games on the road as a favorite (2.5 three pointers made/game average). o/u 1.5 available at FanDuel"

"The New York Knicks are 1-6 (.143) against the spread on the road as a favorite over their last 7 games"

Insights by Fairplay

Pre-game player and game predictions plus real-time lineup intelligence for every game, powered by FairPlay Sports Media. Surface game-level projections including moneyline, spread, and over/under, alongside player stat projections versus season averages — and lineup alerts that capture the ripple effect of a player sitting out.

“Devin Booker is projected to exceed their season average in Three Point Field Goals Made, Points and Assists today vs. the Oklahoma City Thunder.”

“Immanuel Quickley is potentially out today vs. Cleveland Cavaliers. In the 2025-26 Season, when Immanuel Quickley sits, the Toronto Raptors are 5-7 (0.417), compared to 41-29 (0.586) when he plays.”

Insights by Tallysight

Pre-game consensus expert picks for games, powered by Tallysight. Surface analyst consensus across moneyline, spread, and over/under markets in a clean, narrative-ready format built to drive engagement and betting conversion.

"PHX @ MEM: 100% of analysts predict the Suns to win."



Push

Insights v3

Insights v3 is migrating to Sportradar’s common Push architecture.

Documentation is available here.

Betting Splits v3

Push support is now available for Betting Splits in v3.

Documentation is available here.



Path Updates - Insights

You will need to update your requests to account for the below v3 updates:

  • Base URL: Update from api.radar360.sportradar.com to api.sportradar.com.
  • Version: Update from v2 to v3
  • Access Parameter: Inclusion of an access_level parameter to align with other Sportradar Media APIs. This parameter will always be production
  • Language Code Parameter: Inclusion of a language_code parameter to align with other Sportradar Media APIs. This parameter will be en (English) until compatibility for other languages is included.
  • API Key Authorization: Include your new API key (found in Marketplace) in the header of each request. Insights v3 authenticates with x-api-key in the request header (replacing Authorization)

Sample Paths (Insights)

Insights v2

https://api.radar360.sportradar.com/insights/v2/nba/en/scoring/{subject}/{subject_id}
https://api.radar360.sportradar.com/insights/v2/mlb/en/leaderboards/{subject}/{subject_id}

Insights v3

https://api.sportradar.com/insights/v3/production/nba/en/scoring/{subject}/{subject_id}
https://api.sportradar.com/insights/v3/production/mlb/en/leaderboards/{subject}/{subject_id}
Quick Access:


Path Updates - Betting Splits

You will need to update your requests to account for the below v3 updates:

  • Base URL: Update from api.radar360.sportradar.com/insights to api.sportradar.com/betting-splits.
  • Version: Update from v2 to v3
  • Access Parameter: Inclusion of an access_level parameter to align with other Sportradar Media APIs. This parameter will alway be production
  • Language Code Parameter: Inclusion of a language_code parameter to align with other Sportradar Media APIs. This parameter will be en (English) until compatibility for other languages is included.
  • API Key Authorization: Include your new API key (found in Marketplace) in the header of each request. Insights v3 authenticates with x-api-key in the request header (replacing Authoorization)

Sample Paths (Betting Splits)

Betting Splits v2

https://api.radar360.sportradar.com/insights/v2/bettingsplits/mlb/en/game/{game_id}

Betting Splits v3

https://api.sportradar.com/betting-splits/v3/production/mlb/en/game/{game_id}
Quick Access:


Payload Changes

Payloads will be standardized to use snake_case throughout, to bring Insights and Betting Splits in line with Sportradar's other Media APIs.

Previously, payloads contained a mix of camelCase and snake_case field names.



Pagination

The pageToken query parameter has been replaced by lastEvaluatedKey in Insights v3.

What to update: In v2, when a response contained more than 50 results, a pageToken value was returned at the end of the payload. You would pass this value as a ?pageToken={value} query parameter in your next request to retrieve the following page of results.

In v3, the same pagination pattern applies, but the field and parameter have been renamed. When a response exceeds 50 results, a lastEvaluatedKey value is returned at the end of the payload. Pass this value as a ?lastEvaluatedKey={value} query parameter in your next request.

https://api.sportradar.com/insights/v3/production/nba/en/scoring/team/{team_id}?lastEvaluatedKey=eyJTSyI6IjNDaXk2ZHRoeHlkNTFiYTNHc1B3azVNaFBKZCIsIlBLIjoiQkVUVElOR19TUExJVFMjYTliNzFkM2UtODQ4Zi00ZGMzLWFjYTItOThlYTE5ODNkODcxIn0=



Retirement Timeline

Insights v2 & Betting Splits v2 will be deprecated on September 30, 2026.